Retrieves all marketplace sellers including all sub-elements (price types, shipping rules, metadata, supported marketplaces).
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/marketplace/sellers/all \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/sellers/all"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/sellers/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sellers": [
{
"scxShopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"isActive": true,
"isBlocked": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sellerId": "<string>",
"channel": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelDisplayName": "<string>",
"channelCurrency": "<string>",
"isDocumentStorageEnabled": true,
"isStockUpdateEnabled": true,
"isOfferAutomappingEnabled": true,
"isAttributeImportEnabled": true,
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"pendingOfferDeletionIntervalDays": 123,
"completedOfferDeletionIntervalDays": 123,
"isDeleted": true,
"isVariationsSupported": true,
"isQuantityPriceSupported": true,
"isAllowCombineOrders": true,
"priceTypes": {
"priceTypes": [
{
"channelPriceTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"priceTypeId": "<string>",
"displayName": "<string>",
"description": "<string>",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
},
"shippingRules": {
"shippingRules": [
{
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"carrierId": "<string>",
"displayName": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customCarrierId": "<string>"
}
]
},
"metaData": {
"metaData": [
{
"type": "<string>",
"metaDataEntryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"resource": "<string>",
"sellerId": "<string>",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isImportEnabled": true
}
]
},
"events": {
"events": [
{
"type": "<string>",
"metaDataEntryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"resource": "<string>",
"sellerId": "<string>",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdAfter": "2023-11-07T05:31:56Z",
"isImportEnabled": true
}
]
},
"supportedMarketplaces": {
"supportedMarketplaces": [
{
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"iso": "<string>",
"name": "<string>",
"sort": 123
}
]
},
"returnSettings": {
"isReturnTrackingRequired": true,
"isReturnTrackingIdEnabled": true,
"returnShippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnWarehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnNumberRangePrefix": "<string>",
"returnNumberRangeFrom": 123,
"returnNumberRangeTo": 123,
"returnNumberRangeSuffix": "<string>",
"returnNumberRangeCurrent": 123,
"isReturnIdLimitWarningEnabled": true,
"returnIdLimitWarningCount": 123,
"returnIdLimitWarningEmail": "<string>"
}
}
]
}Seller
Retrieves all marketplace sellers including all sub-elements (price types, shipping rules, metadata, supported marketplaces).
Retrieves all marketplace sellers including all sub-elements (price types, shipping rules, metadata, supported marketplaces).
GET
/
v2
/
marketplace
/
sellers
/
all
Retrieves all marketplace sellers including all sub-elements (price types, shipping rules, metadata, supported marketplaces).
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Response
Wrapper containing a list of all marketplace sellers with complete details.
List of sellers with all nested detail data.
Show child attributes
Show child attributes
Was this page helpful?
Retrieves detail sub-elements for a single marketplace seller by SCX shop ID.Removes the specified marketplace seller/account identified by its composite salesChannelId - first unlinks the seller from its sales channel, then cleans up local shop data. This operation cannot be undone.
⌘I